- breadcrumb_title _("General Settings")
- page_title _("General Settings")
- @content_class = "limit-container-width" unless fluid_layout
- expanded = expanded_by_default?


%section.settings.gs-general.no-animate#js-general-settings{ class: ('expanded') }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only{ role: 'button' }
      = _('Naming, visibility')
    %button.btn.gl-button.js-settings-toggle{ type: 'button' }
      = _('Collapse')
    %p
      = _('Update your group name, description, avatar, and visibility.')
  .settings-content
    = render 'groups/settings/general'

%section.settings.gs-permissions.no-animate#js-permissions-settings{ class: ('expanded' if expanded), data: { qa_selector: 'permission_lfs_2fa_content' } }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only{ role: 'button' }
      = _('Permissions, LFS, 2FA')
    %button.btn.gl-button.js-settings-toggle{ type: 'button' }
      = expanded ? _('Collapse') : _('Expand')
    %p
      = _('Advanced permissions, Large File Storage and Two-Factor authentication settings.')
  .settings-content
    = render 'groups/settings/permissions'

= render_if_exists 'groups/insights', expanded: expanded

%section.settings.no-animate#js-badge-settings{ class: ('expanded' if expanded) }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only{ role: 'button' }
      = s_('GroupSettings|Badges')
    %button.btn.gl-button.js-settings-toggle{ type: 'button' }
      = expanded ? _('Collapse') : _('Expand')
    %p
      = s_('GroupSettings|Customize your group badges.')
      = link_to s_('GroupSettings|Learn more about badges.'), help_page_path('user/project/badges')
  .settings-content
    = render 'shared/badges/badge_settings'

= render_if_exists 'groups/compliance_frameworks', expanded: expanded
= render_if_exists 'groups/custom_project_templates_setting'
= render_if_exists 'groups/templates_setting', expanded: expanded

%section.settings.gs-advanced.no-animate#js-advanced-settings{ class: ('expanded' if expanded) }
  .settings-header
    %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only{ role: 'button' }
      = _('Advanced')
    %button.btn.gl-button.js-settings-toggle{ type: 'button' }
      = expanded ? _('Collapse') : _('Expand')
    %p
      = _('Perform advanced options such as changing path, transferring, exporting, or removing the group.')
  .settings-content
    = render 'groups/settings/advanced'

= render_if_exists 'shared/groups/max_pages_size_setting'

= render 'shared/confirm_modal', phrase: @group.path
